﻿/*
 * H_STM32F4_SPI_1_2.h
 *
 *  Created on: 2024/11/21
 *      Author: egaono-electronics
 */

#ifndef H_STM32F4_SPI_1_2_H_
#define H_STM32F4_SPI_1_2_H_

#include "Dev_Conf.h"

#include def_Header_HAL

#include "H_Common_STM32F4_SPI.h"



//--------------------------------------------------------------
// SPI1用パラメータ
//--------------------------------------------------------------

//--------------------------------------
// SPI handler declaration
//-------------------------------------
extern SPI_HandleTypeDef Handle_SPI1;
//-------------------------------------


// 送信Buffer : SPI1
extern uint8_t GLB_uint8_aSPI1_TxBuffer[def_SPI1_TxBufferSize];

// 受信Buffer : SPI1
extern uint8_t GLB_uint8_aSPI1_RxBuffer[def_SPI1_RxBufferSize];


//------------------------------------------------------
// Handle SPI用パラメータの構造体の宣言 : SPI1
//------------------------------------------------------
extern struct sParam_Handle_SPIx  GLB_structParam_Handle_SPI1;
//--------------------------------------------------------------



//--------------------------------------------------------------
// SPI2用パラメータ
//--------------------------------------------------------------

//-------------------------------------
// SPI handler declaration
//-------------------------------------
extern SPI_HandleTypeDef Handle_SPI2;
//-------------------------------------


// 送信Buffer : SPI2
extern uint8_t GLB_uint8_aSPI2_TxBuffer[def_SPI2_TxBufferSize];

// 受信Buffer : SPI2
extern uint8_t GLB_uint8_aSPI2_RxBuffer[def_SPI2_RxBufferSize];


//------------------------------------------------------
// Handle SP2用パラメータの構造体の宣言 : SPI2
//------------------------------------------------------
extern struct sParam_Handle_SPIx  GLB_structParam_Handle_SPI2;
//--------------------------------------------------------------



#endif /* H_STM32F4_SPI_H_1_2_ */
